Bug 246399 - gdm keymouselistener module crashes if XInput extension is not available
gdm keymouselistener module crashes if XInput extension is not available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
: 275661 336721 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-01 15:57 EDT by Lorenzo Fiorini
Modified: 2008-06-16 21:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.18.4-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Fiorini 2007-07-01 15:57:38 EDT
Description of problem:
access f7 box using vnc and xinted like I use to do with FC5/FC6 does not work

Version-Release number of selected component (if applicable):
f7, vnc, xinetd

How reproducible:
always

Steps to Reproduce:
1. configure vnc as described in
http://www.fedoraforum.org/forum/showthread.php?t=94257
  
Actual results:
client pc will not get the greeter and /var/log/messages reports
Jun 30 23:44:26 pcdev xinetd[1678]: START: vnc1024x768 pid=3258
from=::ffff:127.0.0.1
Jun 30 23:44:27 pcdev xinetd[1678]: EXIT: vnc1024x768 status=0 pid=3258
duration=1(sec)

Expected results:
working as it did in FC5/FC6

Additional info:
could it be related to bz 244490?
If I run /usr/libexec/gdmgreeter I get:
The greeter version (2.18.2) does not match the daemon version. You have
probably just upgraded GDM. Please restart the GDM daemon or the computer.

while if I run:
export DOING_GDM_DEVELOPMENT=1
/usr/libexec/gdmgreeter
as suggested in bz 244490 I get the greeter.

Just for information I've tried on the same PCs with UBUNTU 7.04 and to get the
same configuration working I had to add -extension XFIXES to Xvnc command line
but it worked after that.
Comment 1 Adam Tkac 2007-07-02 08:29:21 EDT
Looks like dupe of bug #244490

Adam

*** This bug has been marked as a duplicate of 244490 ***
Comment 2 Sitsofe Wheeler 2007-08-17 16:55:37 EDT
We've seen this problem via XVnc too. Another workaround is to set
AddGtkModules=false
in GDM's custom.conf...
Comment 3 Fedora Update System 2007-08-20 12:01:39 EDT
gdm-2.18.4-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-08-29 13:28:59 EDT
gdm-2.18.4-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Michael Young 2007-08-31 05:09:14 EDT
This still seems to be a bug in the 2.18.4-2.fc7 version of gdm (ie. it still
crashes without the workarounds).
Comment 6 Michael Young 2007-08-31 09:36:13 EDT
The last few lines of the strace debug this time are
[pid 19389] open("/etc/gdm/modules/AccessKeyMouseEvents", O_RDONLY) = 15
[pid 19389] fstat64(15, {st_mode=S_IFREG|0644, st_size=3754, ...}) = 0
[pid 19389] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xb7fa3000
[pid 19389] read(15, "# This is the configuration file"..., 4096) = 3754
[pid 19389] write(3,
"\213\10\7\0\0\1\7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0_S", 28) = 28
[pid 19389] read(3, 0xbf9cf294, 32)     = -1 EAGAIN (Resource temporarily
unavailable)
[pid 19389] poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, -1) = 1
[pid 19389] read(3,
"\1\1Q\0\304\2\0\0\0\0\10\377\7\0\0\t\t\10\243\0\370\0\0\0\0\0\0\0\0\0\0\10",
32) = 32
[pid 19389] read(3, "\370\6\0\0\0\0\0\0", 8) = 8
[pid 19389] read(3,
"\0\0\0\0\1\0\0\0\1\1\0\0\2\1\0\377\1\1\1\1\0\0\33\0\3\3\0\0\2\2\1\0"..., 2824)
= 2824
[pid 19389] read(15, "", 4096)          = 0
[pid 19389] close(15)                   = 0
[pid 19389] munmap(0xb7fa3000, 4096)    = 0
[pid 19389] writev(3,
[{"\213\1\5\0\1\0\1\0\0\0\0\0\0\0\0\0\5\0\5\0\213\1\4\0\1\0\2\0\0\0\0\0"...,
44}, {"XInputExtension", 15}, {"\0", 1}], 3) = 60
[pid 19389] read(3, 0xbf9cf22c, 32)     = -1 EAGAIN (Resource temporarily
unavailable)
[pid 19389] poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, -1) = 1
[pid 19389] read(3,
"\1\225T\0\0\0\0\0\0\0\0\0\1\0\0\0T\325C\10\213\0\0\0008\323<\t(&\230\277", 32) = 32
[pid 19389] write(2, "Xlib:  extension \"XInputExtensio"..., 71) = 71
[pid 19389] --- SIGSEGV (Segmentation fault) @ 0 (0) ---
so it looks like libkeymouselistener has the same problem as libdwellmouselistener
Comment 7 Michael Young 2007-08-31 09:42:16 EDT
But libdwellmouselistener is fixed. If I set
GtkModulesList=gail:atk-bridge:/usr/lib/gtk-2.0/modules/libdwellmouselistener
in the [daemon] section of /etc/gdm/custom.conf (ie. standard configuration
minus libkeymouselistener) and restart gdm then it does work.
Comment 8 Ray Strode [halfline] 2007-08-31 09:49:37 EDT
Retitling for clarity
Comment 9 Ray Strode [halfline] 2007-09-05 10:37:08 EDT
*** Bug 275661 has been marked as a duplicate of this bug. ***
Comment 10 Warren Togami 2007-10-17 17:12:35 EDT
Bug #336721 might be the same issue.  It has a full backtrace from
gdm-2.20.1-2.fc8.  Unfortunately this is rather crippling for K12LTSP.
Comment 11 Ray Strode [halfline] 2007-10-17 17:39:29 EDT
*** Bug 336721 has been marked as a duplicate of this bug. ***
Comment 12 Ray Strode [halfline] 2007-10-17 17:41:42 EDT
this bug is on my radar (although not at the top of priority queue)  In the mean
time, if this is crippling K12LTSP they may want to look into the workaround in
comment 2.
Comment 13 Chris Jones 2007-12-12 03:04:45 EST
Adding the workaround to custom.conf was not required in F8 prior to
gdm-2.20.2-2.fc8. Sadly it seems to have resurfaced with the latest update.

This bug now applies to F8.
Comment 14 Bug Zapper 2008-05-14 09:22:42 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2008-06-16 21:46:04 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.